Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# RegionMapperImpl Class Reference
[Handlers]

Inheritance diagram for RegionMapperImpl:

## Detailed Description

Abstract RegionMapper.

Stores all region mappings in hashtable and sequental vector.

## Public Member Functions
virtual void | loadRegionMappings (InputSource *is)=0
| Loads region defines from `is` InputSource.
virtual void | saveRegionMappings (Writer *writer) const =0
| Saves all loaded region defines into `writer`.
virtual void | setRegionDefine (const String &region, const RegionDefine *rdnew)=0
| Changes specified region definition to `rdnew`.
const RegionDefine * | enumerateRegionDefines (int idx) const
| Enumerates all loaded region defines.
const RegionDefine * | getRegionDefine (const Region *region) const
const RegionDefine * | getRegionDefine (const String &name) const
| Returns region mapping by it's full qualified name.
## Protected Member Functions
| RegionMapperImpl (const RegionMapperImpl &)
void | operator= (const RegionMapperImpl &)
## Protected Attributes
Hashtable< RegionDefine * > | regionDefines
Vector< const RegionDefine * > | regionDefinesVector

## Member Function Documentation

virtual void RegionMapperImpl::saveRegionMappings | ( | Writer * | writer | ) | const`[pure virtual]`

| Saves all loaded region defines into `writer`. Note, that result document would not be equal to input one, because there could be multiple input documents. Implemented in StyledHRDMapper, and TextHRDMapper.

virtual void RegionMapperImpl::setRegionDefine | ( | const String & | region,
|  | const RegionDefine * | rdnew
| ) | `[pure virtual]`

  | Changes specified region definition to `rdnew`. Parameters:
  | region | Region full qualified name.
  | rdnew | New region definition to replace old one
Implemented in StyledHRDMapper, and TextHRDMapper.

const RegionDefine * RegionMapperImpl::enumerateRegionDefines | ( | int | idx | ) | const

| Enumerates all loaded region defines. Returns: RegionDefine with specified internal index, or null if `idx` is too big

Colorer-take5 Library. Copyright © 1999-2006 Igor Russkih.
Generated at Fri Nov 24 17:13:14 2006 by doxygen 1.4.6.